<apex:page contentType="application/vnd.ms-excel#Operating_Instructions_Report_{!today()}.xls" applyHtmlTag="true"
         action="{!RunReport}" controller="OpsLog_Operating_Report_Ctrl" cache="true" showheader="false">
<html xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:x="urn:schemas-microsoft-com:office:excel" xmlns="http://www.w3.org/TR/REC-html40">      
<head>
    
    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
    <style>
    br {mso-data-placement:same-cell;}  <!-- MSFT style causes Excel to treat <br/> as soft carriage return 'ALT-ENTER' when constructing cells from SFDC HTML output -->
   .label
   {
        font-weight:bold;
        text-align:right;
   }
   .headerRow {
       line-height: 20px;
       background-color: #41aacb;
    }        
    
    .headerCell {
        color: #878787;
        font-weight: bold;
        font-size: small;
        padding-left: 10px;
        width:200px;
    }
   
    .groupedRow{
        line-height: 20px;
        background-color: #d7ecf2;
        font-weight:bold;
    }
    
    .dataCell {
        color: #000000;
        font-size: 10px;
        padding-left: 10px;
        width:200px;
        font-family: Calibri,Times, serif;
    }    
</style> 
</head>
<body> 
 
<div style="font-size:22pt; text-align:center; font-weight:bold; color:blue; width:100%">Daily Activities Report</div>


<span class="label">Date Range From: </span> <span>{!dFrom}</span><br/>
<span class="label">Date Range To: </span>  <span>{!dTo} </span> <br/>
<span class="label">Record Type: </span>  <span>{!IF(selectedDepartment == '', 'All', selectedDepartment)}</span>  <br/>
<span class="label">Team Role: </span>  <span>{!selectedRoles} </span><br/>

<span class="label">Process Area: </span>  <span>{!selectedAreas}</span> <br/>
<span class="label">Unit: </span> <span>{!selectedUnits} </span><br/>
<span class="label">DOI Owner: </span>  <span>{!selectedOperators}</span> <br/>
<span class="label">Team: </span> <span>{!selectedTeams} </span>
       
        <br/>   
    <table border="0" style="width:100%" cellpadding="0" cellspacing="0">
        <tr class="headerRow" style="width:100%">
            <td class="headerCell " >Process Area</td>
            <td class="headerCell " >DOI Date</td>
            <td class="headerCell " >Completed</td>
            <td class="headerCell "  style="width:500px" >Instructions</td>
            <td class="headerCell " >DOI Owner</td>
            <td class="headerCell " >Team</td>
            <td class="headerCell " >Role</td>
            <td class="headerCell " >Plant</td>
            <td class="headerCell " >Unit</td>
            <td class="headerCell " >Equipment Tag Description</td>
            <td class="headerCell " >Record Type</td>
            
        </tr>
        <apex:repeat value="{!areaMap}" var="area">
           
            <tr class="groupedRow" style="width:100%">
                <td class="subDetailColumnDataCell rblBorder" colspan="13">
                    Area: {!area} ({!areaMap[area]} records)
                </td>
            </tr>
           
              <apex:repeat value="{!resultMap[area]}" var="o" >
                  <tr class="dataRow" style="width:100%">
                      <td class="dataCell ">{!o.Area__r.Name}</td>
                      <td class="dataCell " >
                          <apex:outputText value="{0,date,dd/MM/yyyy}">
                             <apex:param value="{!o.Date__c}" />
                         </apex:outputText>
                      </td>
                      <td class="dataCell " >{!o.Completed__c}</td>
                      <td class="dataCell "  style="width:500px;font-family:Calibri;font-size:10px">{!o.Instructions__c}</td>
                      <td class="dataCell " >{!o.DOI_Owner__r.Name}</td>
                      <td class="dataCell " >{!o.Team_Allocation__r.Team__r.Name}</td>
                      <td class="dataCell " >{!o.Team_Allocation__r.Role__r.Name}</td>
                      <td class="dataCell " >{!o.Plant__r.Name}</td>
                      <td class="dataCell " >{!o.Unit__r.Name}</td>
                      <td class="dataCell " >{!o.Equipment__r.Name}</td>
                      <td class="dataCell " >{!o.RecordType.Name}</td>
                      
                  </tr>
              </apex:repeat> 
              
        </apex:repeat>
       
        <tr class="footerRow" style="width:100%">
             <td colspan="13" class="footerCell">Grand Totals ({!resultNo} records)</td>
        </tr>

    </table>    
</body>   
</html>     
</apex:page>